MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028060Open CASCADE[OCCT] OCCT:Samplespublic2016-11-07 19:412016-12-09 16:39
Reporterski 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0028060: Samples - Objects in Geometry/Viewer2d have incorrect color
DescriptionObjects (shapes and fonts) in samples Geometry/Viewer2d have incorrect color.

Steps To Reproduce• Run sample Geometry/Viewer2d
• Run command (e.g. Bezier surface, Fill curves...)
TagsNo tags attached.
Test case numberNot needed
Attached Filesjpg file icon Bezier_surface.jpg (161,862 bytes) 2016-11-07 19:41
jpg file icon Fonts.jpg (29,299 bytes) 2016-11-07 19:42
jpg file icon Fill_curves.jpg (128,540 bytes) 2016-11-07 19:43

- Relationships
child of 0027670closedbugmaster Visualization - avoid duplication of structures defining primitive array presentation aspects 

-  Notes
(0059993)
git (administrator)
2016-11-08 12:50

Branch CR28060 has been created by kgv.

SHA-1: a37deac8f890426ae4857b96c5d7ae776ca559ef


Detailed log of new commits:

Author: kgv
Date: Tue Nov 8 12:30:31 2016 +0300

    0028060: Samples - Objects in Geometry/Viewer2d have incorrect color
    
    Broken custom presentations Sample2D_Text and ISession_Text
    have been replaced by AIS_TextLabel.
    
    ISession2D_Curve::Compute() - fixed defining the group without presentation aspects.
    GeomSources - fixed assigning custom attributes.
(0059995)
kgv (developer)
2016-11-08 12:53

Patch is ready for testing (only samples have been updated).
(0060093)
apv (tester)
2016-11-09 12:02

Tested in scope of CR0-IR-2016-11-08
(0061270)
git (administrator)
2016-12-07 11:31

Branch CR28060 has been deleted by kgv.

SHA-1: a37deac8f890426ae4857b96c5d7ae776ca559ef

- Related Changesets
occt: master 0e5ef926
Timestamp: 2016-11-08 09:30:31
Author: kgv
Committer: apn
Details ] Diff ]
0028060: Samples - Objects in Geometry/Viewer2d have incorrect color

Broken custom presentations Sample2D_Text and ISession_Text
have been replaced by AIS_TextLabel.

ISession2D_Curve::Compute() - fixed defining the group without presentation aspects.
GeomSources - fixed assigning custom attributes.
mod - samples/mfc/standard/01_Geometry/adm/win/vc10/Geometry.vcxproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc10/Geometry.vcxproj.filters Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc11/Geometry.vcxproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc11/Geometry.vcxproj.filters Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc12/Geometry.vcxproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc12/Geometry.vcxproj.filters Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc14/Geometry.vcxproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc14/Geometry.vcxproj.filters Diff ] File ]
mod - samples/mfc/standard/01_Geometry/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/GeomSources.cpp Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession2D_Curve.cpp Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession2D_Curve.h Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession_Curve.cpp Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession_Curve.h Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession_Surface.cpp Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession_Surface.h Diff ] File ]
rm - samples/mfc/standard/01_Geometry/src/ISession2D/ISession_Text.cpp Diff ] File ]
rm - samples/mfc/standard/01_Geometry/src/ISession2D/ISession_Text.h Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/src/Viewer2dDoc.cpp Diff ] File ]
rm - samples/mfc/standard/Common/Primitive/Sample2D_Text.cpp Diff ] File ]
rm - samples/mfc/standard/Common/Primitive/Sample2D_Text.h Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc10/mfcsample.vcxproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc10/mfcsample.vcxproj.filters Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc11/mfcsample.vcxproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc11/mfcsample.vcxproj.filters Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc12/mfcsample.vcxproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc12/mfcsample.vcxproj.filters Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc14/mfcsample.vcxproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc14/mfcsample.vcxproj.filters Diff ] File ]
mod - samples/mfc/standard/mfcsample/CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-11-07 19:41 ski New Issue
2016-11-07 19:41 ski Assigned To => abv
2016-11-07 19:41 ski File Added: Bezier_surface.jpg
2016-11-07 19:42 ski File Added: Fonts.jpg
2016-11-07 19:43 ski File Added: Fill_curves.jpg
2016-11-08 11:47 kgv Relationship added child of 0027670
2016-11-08 12:50 git Note Added: 0059993
2016-11-08 12:51 kgv Product Version => 7.1.0
2016-11-08 12:51 kgv Target Version 7.2.0 => 7.1.0
2016-11-08 12:53 kgv Note Added: 0059995
2016-11-08 12:53 kgv Assigned To abv => bugmaster
2016-11-08 12:53 kgv Status new => resolved
2016-11-08 12:53 kgv Status resolved => reviewed
2016-11-09 12:02 apv Test case number => Not needed
2016-11-09 12:02 apv Note Added: 0060093
2016-11-09 12:02 apv Status reviewed => tested
2016-11-09 17:43 apn Changeset attached => occt master 0e5ef926
2016-11-09 17:43 apn Assigned To bugmaster => apn
2016-11-09 17:43 apn Status tested => verified
2016-11-09 17:43 apn Resolution open => fixed
2016-12-07 11:31 git Note Added: 0061270
2016-12-09 16:29 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker